%define commit ba6994a37592f02b6268e9f0d729c8770e1467e6

Name:          drmr
Version:       git20120709
Release:       %mkrel 6
Summary:       An LV2 sampler plugin that plays hydrogen drum kits
Group:         Sound/Midi
License:       GPLv3
URL:           https://github.com/nicklan/drmr
Source0:       https://github.com/nicklan/drmr/archive/%{commit}.tar.gz

BuildRequires:  cmake
BuildRequires:  libsamplerate-devel
BuildRequires:  gtk2-devel
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(lv2)
BuildRequires:  expat-devel

Requires:       lv2
Requires:       hydrogen
Requires:       hydrogen-drumkits


%description
DrMr is an LV2 sampler plugin. It's main reason to exist is to give a way 
for lv2 hosts to have a built in drum synth that can save its entire
state (i.e. no need to go out to external tools and no need to
save extra state). DrMr currently supports the following:

* Control via midi
* Scan for and load hydrogen drum kits
* Multi-layer hydrogen kits (will pick layer based on that samples set gain)
* Kit is set via an LV2 control (see note 1 below)
* LV2 controls for gain on first 32 samples of kit (see note 2 below)
* LV2 controls for pan on first 32 samples of kit (see note 2 below)
* GTK ui that can select a kit and control gain/pan on each sample

%prep
%setup -q -n drmr-%{commit} 
sed -i -e '/CMAKE_C_FLAGS/d' CMakeLists.txt

%build
export CFLAGS="%{optflags} -pthread"
%cmake -DLV2_INSTALL_DIR:PATH=%{_lib}/lv2
%cmake_build

%install
%cmake_install

%files
%{_libdir}/lv2/*



%changelog
* Mon Nov 02 2020 joequant <joequant> git20120709-6.mga8
+ Revision: 1641831
- fix deps

* Thu Feb 13 2020 umeabot <umeabot> git20120709-5.mga8
+ Revision: 1511921
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Sep 23 2018 umeabot <umeabot> git20120709-4.mga7
+ Revision: 1297510
- Mageia 7 Mass Rebuild

* Sat Jan 20 2018 semiletov <semiletov> git20120709-3.mga7
+ Revision: 1195155
- LV2_INSTALL_DIR re-define

* Sat Jan 20 2018 semiletov <semiletov> git20120709-2.mga7
+ Revision: 1195065
- spec fixes to make debug rpm possible

* Fri Jan 19 2018 semiletov <semiletov> git20120709-1.mga7
+ Revision: 1194695
- i586 fix for the spec
- imported package drmr

